<?php
/**
 * Created for Schaffen IT.
 * User: Thiago Traczykowski
 */

namespace Schaffen\Core\Company\Traits;

use Illuminate\Database\Eloquent\Builder;


trait ConstrainedByBranchAccess
{
   use HasBranch;

   protected static function boot()
   {
      parent::boot();

      // Order by name ASC
      static::addGlobalScope('branches', function (Builder $query) {
//         "acesso.usuario_filial", "usf_fk_fil_codigo = fil_codigo and usf_fk_usu_codigo = '" . UsuarioAuth::getCodigoUsuario() . "'"
         $query->whereHas('branch', function ($query){
            $query->whereHas('branch_user', function ($query){
               $query->where('usf_fk_usu_codigo', auth()->user()->usu_codigo);
            });
         });
      });
   }

   public function branch_user(){

   }

}
