<?php


namespace Schaffen\Core\User\Repositories;

use Schaffen\Core\User\Models\User;
use Freelabois\LaravelQuickstart\Extendables\Repository;

class UserRepository extends Repository
{
    protected $model = User::class;
    protected $searchableFields = [
        [
            'field' => 'usu_codigo',
            'field' => 'usu_nome',
            'operator' => 'ilike'
        ]
    ];

}
