<?php


namespace Schaffen\Core\Person\Managers;


use Freelabois\LaravelQuickstart\Extendables\ManipulationManager;
use Schaffen\Core\Person\Repositories\PersonBranchRepository;

class PersonBranchManager extends ManipulationManager
{
    public function __construct(PersonBranchRepository $repository)
    {
        parent::__construct($repository);
    }

    public function buscarFilialPessoa($user){
        $funcionario = $this->repository->first(['pef_fk_pes_codigo' => $user]);
        return $funcionario->pef_fk_fil_codigo ?? null;
    }
}